Skip to main content
POST
Start sampling

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

deviceId
string
required

Device ID

Body

application/json
label
string
required

Label to be used during sampling.

lengthMs
integer
required

Requested length of the sample (in ms).

category
enum<string>
required

Which acquisition category to sample data into.

Available options:
training,
testing,
validation,
post-processing
intervalMs
number
required

Interval between samples (can be calculated like 1/hz * 1000)

sensor
string

The sensor to sample from.

labelColor
string

Text color of label displayed on supported clients. Value can be any supported CSS color value

collectedSampleCount
number

A hint to supported clients to show the number of samples currently collected

targetSampleCount
number

A hint to supported clients to show the desired number of samples to be collected

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)

id
integer